package de.zappbrannigan.objects;

import java.awt.Color;
import java.awt.Point;

/**
 * An imaginary target used for aiming on future positions of real targets or
 * just for directing the ship back to the screen center. 
 * 
 */
public class DummyTarget extends Target {

	/**
	 * Constructor
	 * 
	 * @param x The initial x position.
	 * @param y The initial y position.
	 */
	public DummyTarget(int x, int y) {
		super(x, y);
	}
	
	/**
	 * Constructor
	 * 
	 * @param p The initial position.
	 */
	public DummyTarget(Point p) {
		this(p.x, p.y);
	}

	/**
	 * @see Target#getPoints()
	 */
	@Override
	public int getPoints() {
		return 0;
	}

	/**
	 * @see GameObject#getSize()
	 */
	@Override
	public int getSize() {
		return 0;
	}
	
	/**
	 * @see GameObject#getVelocityColor()
	 */
	@Override
	protected Color getVelocityColor() {
		return Color.white;
	}

	/**
	 * @see Target#getType()
	 */
	@Override
	public int getType() {
		return 0;
	}
}
